Bug 861740 - fails to start when old ~/.alexandria/ is present
fails to start when old ~/.alexandria/ is present
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alexandria (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 869556
  Show dependency treegraph
 
Reported: 2012-09-30 06:30 EDT by Patrick C. F. Ernzer
Modified: 2012-10-24 04:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 869556 (view as bug list)
Environment:
Last Closed: 2012-10-23 08:47:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2012-09-30 06:30:05 EDT
Description of problem:
alexandria fails to run on F17 x86_64

Version-Release number of selected component (if applicable):
alexandria-0.6.8-8.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. Use alexandria on F16 (and older)
2. install a fresh F17 but keep /home
3. yum install alexandria
4. run alexandria from shell
  
Actual results:
[pcfe@morn ~]$ alexandria 
/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
/usr/share/ruby/psych.rb:203:in `parse': (<unknown>): control characters are not allowed at line 1 column 1 (Psych::SyntaxError)
	from /usr/share/ruby/psych.rb:203:in `parse_stream'
	from /usr/share/ruby/psych.rb:151:in `parse'
	from /usr/share/ruby/psych.rb:127:in `load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:220:in `regularize_book_from_yaml'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:93:in `block (2 levels) in load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:77:in `each'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:77:in `block in load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:76:in `chdir'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:76:in `load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:255:in `block in loadall'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:249:in `each'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:249:in `loadall'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:679:in `reload'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/ui_manager.rb:712:in `load_libraries'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/ui_manager.rb:43:in `initialize'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/main_app.rb:57:in `new'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/main_app.rb:57:in `initialize'
	from /usr/share/ruby/singleton.rb:141:in `new'
	from /usr/share/ruby/singleton.rb:141:in `block in instance'
	from <internal:prelude>:10:in `synchronize'
	from /usr/share/ruby/singleton.rb:139:in `instance'
	from /usr/share/ruby/vendor_ruby/alexandria/ui.rb:39:in `start_main_app'
	from /usr/share/ruby/vendor_ruby/alexandria/ui.rb:49:in `main'
	from /usr/share/ruby/vendor_ruby/alexandria.rb:40:in `main'
	from /usr/bin/alexandria:38:in `<main>'


Expected results:
loading of my old collections (2 of them)


Additional info:

[pcfe@morn ~]$ rpm -qf /usr/share/ruby/psych.rb
ruby-libs-1.9.3.194-16.fc17.x86_64

[pcfe@morn ~]$ rpm -V ruby-libs-1.9.3.194-16.fc17.x86_64
[pcfe@morn ~]$ alexandria --debug
/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
D, [2012-09-30T12:23:55.352619 #1671] DEBUG -- : Initializing Alexandria...
I, [2012-09-30T12:23:55.352732 #1671]  INFO -- [Mod Alexandria::UI]: Initializing Icons...
==========================
I, [2012-09-30T12:23:55.366915 #1671]  INFO -- [Mod Alexandria::UI]: Starting MainApp...
==========================
I, [2012-09-30T12:23:55.367078 #1671]  INFO -- <Obj Alexandria::UI::MainApp>: Starting MainApp
I, [2012-09-30T12:23:55.436936 #1671]  INFO -- <Obj Alexandria::UI::UIManager>: Loading Libraries...
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:91 - invalid value for Integer(): "2 B R 0 2 B"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:91 - invalid value for Integer(): "1001 FILMS"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `ArgumentError' at /usr/share/ruby/psych/scalar_scanner.rb:82 - invalid value for Float(): "0.6.3"
Exception `Psych::SyntaxError' at /usr/share/ruby/psych.rb:203 - (<unknown>): control characters are not allowed at line 1 column 1
/usr/share/ruby/psych.rb:203:in `parse': (<unknown>): control characters are not allowed at line 1 column 1 (Psych::SyntaxError)
	from /usr/share/ruby/psych.rb:203:in `parse_stream'
	from /usr/share/ruby/psych.rb:151:in `parse'
	from /usr/share/ruby/psych.rb:127:in `load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:220:in `regularize_book_from_yaml'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:93:in `block (2 levels) in load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:77:in `each'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:77:in `block in load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:76:in `chdir'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:76:in `load'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:255:in `block in loadall'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:249:in `each'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:249:in `loadall'
	from /usr/share/ruby/vendor_ruby/alexandria/models/library.rb:679:in `reload'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/ui_manager.rb:712:in `load_libraries'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/ui_manager.rb:43:in `initialize'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/main_app.rb:57:in `new'
	from /usr/share/ruby/vendor_ruby/alexandria/ui/main_app.rb:57:in `initialize'
	from /usr/share/ruby/singleton.rb:141:in `new'
	from /usr/share/ruby/singleton.rb:141:in `block in instance'
	from <internal:prelude>:10:in `synchronize'
	from /usr/share/ruby/singleton.rb:139:in `instance'
	from /usr/share/ruby/vendor_ruby/alexandria/ui.rb:39:in `start_main_app'
	from /usr/share/ruby/vendor_ruby/alexandria/ui.rb:49:in `main'
	from /usr/share/ruby/vendor_ruby/alexandria.rb:40:in `main'
	from /usr/bin/alexandria:38:in `<main>'
[pcfe@morn ~]$ 

=================================================================================================================
If I remove ~/.alexandria prior to launch, it comes up. But obviously I'd like to access my existing collections.
Comment 1 Mamoru TASAKA 2012-09-30 07:36:25 EDT
Would you attach the contents under ~/.alexandria? (Or if you want to let your ~/.alexandria shown publicly, would you send it to me privately?)
Comment 2 Mamoru TASAKA 2012-09-30 07:40:57 EDT
(In reply to comment #1)
> Would you attach the contents under ~/.alexandria? (Or if you want to let
> your ~/.alexandria shown publicly, would you send it to me privately?)

of course if you "don't" want to let your ~/.alexadria shown publicy...
Comment 3 Mamoru TASAKA 2012-10-08 22:01:25 EDT
Well, I really appreciate it if you provide me additional information.
Comment 4 Patrick C. F. Ernzer 2012-10-09 03:26:46 EDT
(In reply to comment #3)
> Well, I really appreciate it if you provide me additional information.

No worries, you'll get it. But the machine the data is on is not accessible to me until end of the week.
Comment 5 Mamoru TASAKA 2012-10-09 04:12:44 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Well, I really appreciate it if you provide me additional information.
> 
> No worries, you'll get it. But the machine the data is on is not accessible
> to me until end of the week.

Okay, thank you for information.
Comment 6 Patrick C. F. Ernzer 2012-10-11 19:03:28 EDT
Sent you the file (from my private address)
Comment 7 Mamoru TASAKA 2012-10-12 02:40:40 EDT
(In reply to comment #6)
> Sent you the file (from my private address)

Confirmed and actually the bug reproduces.
The issue seems to be happening when accessing yaml file with containing a "device control string" (\xC2\x90)
Comment 8 Mamoru TASAKA 2012-10-12 14:21:30 EDT
Well, parsing such yaml files beforehand and fixing them (as much as possible) seems rather complicated, so for now I decided to mark such yaml "broken" and let user re-download the information of such books (alexandria does this almost automatically). Will submit -9.
Comment 9 Fedora Update System 2012-10-12 14:59:18 EDT
alexandria-0.6.8-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/alexandria-0.6.8-9.fc17
Comment 10 Fedora Update System 2012-10-12 14:59:23 EDT
alexandria-0.6.8-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/alexandria-0.6.8-9.fc18
Comment 11 Fedora Update System 2012-10-13 23:51:37 EDT
Package alexandria-0.6.9-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alexandria-0.6.9-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16092/alexandria-0.6.9-1.fc17
then log in and leave karma (feedback).
Comment 12 Patrick C. F. Ernzer 2012-10-15 08:39:46 EDT
I should be able to test this Friday or on the week-end. I'll submit karma when tested.
Comment 13 Fedora Update System 2012-10-17 23:51:23 EDT
alexandria-0.6.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Patrick C. F. Ernzer 2012-10-18 19:10:29 EDT
(In reply to comment #8)
> Well, parsing such yaml files beforehand and fixing them (as much as
> possible) seems rather complicated, so for now I decided to mark such yaml
> "broken" and let user re-download the information of such books (alexandria
> does this almost automatically). Will submit -9.

Thank you very much for the update.

auto-karma was faster than me, so not submitting karma as it's pointless after the update was pushed.

Very much appreciate the attempt to re-download info for the broken books. Would even have been happy with just a discard option in the dialog offering to re-download or not (3 out of 200+ were broken in my collection).

I did end up adding the 3 affected books by hand after deleting the corresponding yaml file (while the providers were searched the books were not found.) no big hassle.
Comment 15 Mamoru TASAKA 2012-10-19 08:59:54 EDT
(In reply to comment #14)
> (In reply to comment #8)
> > Well, parsing such yaml files beforehand and fixing them (as much as
> > possible) seems rather complicated, so for now I decided to mark such yaml
> > "broken" and let user re-download the information of such books (alexandria
> > does this almost automatically). Will submit -9.
> 
> Thank you very much for the update.
> 
> auto-karma was faster than me, so not submitting karma as it's pointless
> after the update was pushed.


> Very much appreciate the attempt to re-download info for the broken books.
> Would even have been happy with just a discard option in the dialog offering
> to re-download or not (3 out of 200+ were broken in my collection).

Well, -9 should do this, i.e.
- -9 alexandria detects 3 broken yaml file
- alexadria popups the dialog which asks you to re-download such books or just to ignore broken yaml file
- if you choose to re-download (i.e. "OK"), alexandria tried to download the data from providers
- if you choose just to ignore (i.e. "NO"), the broken yaml files stays unchanged.

Or maybe you mean something else?

> I did end up adding the 3 affected books by hand after deleting the
> corresponding yaml file (while the providers were searched the books were
> not found.) no big hassle.
Comment 16 Patrick C. F. Ernzer 2012-10-22 11:08:21 EDT
(In reply to comment #15)
> (In reply to comment #14)
[...]
> > Very much appreciate the attempt to re-download info for the broken books.
> > Would even have been happy with just a discard option in the dialog offering
> > to re-download or not (3 out of 200+ were broken in my collection).
> 
> Well, -9 should do this, i.e.
> - -9 alexandria detects 3 broken yaml file
> - alexadria popups the dialog which asks you to re-download such books or
> just to ignore broken yaml file
> - if you choose to re-download (i.e. "OK"), alexandria tried to download the
> data from providers
> - if you choose just to ignore (i.e. "NO"), the broken yaml files stays
> unchanged.

Yes it does that.

> Or maybe you mean something else?

I meant a third button 'delete broken files' but that is just a nice to have. The current bugfix is enough to close this bug.

Thanks again for the speedy fix. Alexandria is very very useful to keep track of whom I lend which book and to make sure I do not buy books twice.
Comment 17 Mamoru TASAKA 2012-10-22 22:33:05 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > (In reply to comment #14)
> [...]
> > > Very much appreciate the attempt to re-download info for the broken books.
> > > Would even have been happy with just a discard option in the dialog offering
> > > to re-download or not (3 out of 200+ were broken in my collection).
> > 
> > Well, -9 should do this, i.e.
> > - -9 alexandria detects 3 broken yaml file
> > - alexadria popups the dialog which asks you to re-download such books or
> > just to ignore broken yaml file
> > - if you choose to re-download (i.e. "OK"), alexandria tried to download the
> > data from providers
> > - if you choose just to ignore (i.e. "NO"), the broken yaml files stays
> > unchanged.
> 
> Yes it does that.
> 
> > Or maybe you mean something else?
> 
> I meant a third button 'delete broken files' but that is just a nice to
> have. The current bugfix is enough to close this bug.

Well, looking at alexandria code, I guess if you can accept the following behavior, modifying so is perhaps easy:

* On first dialog, alexandria asks if you want to re-download the broken book yamls or not re-download them.
* When you reply as "not re-download them", then second dialog pop up and alexandria asks if you want to delete the broken yamls or not.

i.e. not showing 3 buttons (re-download, delete, or cancel) on popup dialog but showing 2 popops sequentially is easy (on current alexandria code). Showing 3 buttons needs some large code change and this needs discuss with the upstream.
Comment 18 Patrick C. F. Ernzer 2012-10-23 05:47:02 EDT
(In reply to comment #17)
[...]
> * On first dialog, alexandria asks if you want to re-download the broken
> book yamls or not re-download them.
> * When you reply as "not re-download them", then second dialog pop up and
> alexandria asks if you want to delete the broken yamls or not.

This sounds like a good solution.
As far as I am concerned, I suggest to close this bug (my originally reported problem is fixed) and then discuss with upstream about deletions of broken yaml files. (I am not really bothered if there are two consecutive dialogs or one dialog with 3 buttons).

If you agree with closing, please tell and I'll open a separate FEATure request for the broken yaml deletion. (I personally do not like more than one problem per Bugzilla entry ;-)
Comment 19 Mamoru TASAKA 2012-10-23 08:47:31 EDT
Okay, while I will discuss with the upstream anyway, I think I can add additional (second) popup dialog to ask if user wants to delete broken yaml file. For this RFE, please open a new bug (using "Clone This Bug" shown below is useful).

Closing this bug. Anyway thank you for reporting.
Comment 20 Patrick C. F. Ernzer 2012-10-24 04:55:28 EDT
done. Bug 869556 - RFE: offer to delete broken yaml files

Thanks again for your work. Very much appreciated.

Note You need to log in before you can comment on or make changes to this bug.